<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('schedule')
const tabs = ref([
  {value: 'schedule', text: 'Schedule'},
  {value: 'translation', text: 'Translation'}
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('payment_term_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('payment_term_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <PartnersPaymentTermDetailRecordSchedule v-if="tab === 'schedule'" :action="action" :info="info" />
    <PartnersPaymentTermDetailRecordTranslation v-if="tab === 'translation'" :action="action" :info="info" />
  </div>
</template>